org.apache.lucene.analysis.ja.tokenattributes

## Interface InflectionAttribute

- All Superinterfaces:
    Attribute
  All Known Implementing Classes:
    InflectionAttributeImpl

      public interface InflectionAttribute
      extends Attribute

  Attribute for Kuromoji inflection data.

  Note: in some cases this value may not be applicable, and will be null.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getInflectionForm()`
    `String` | `getInflectionType()`
    `void` | `setToken(Token token)`

- - ### Method Detail

    - #### getInflectionType

          String getInflectionType()

    - #### getInflectionForm

          String getInflectionForm()

    - #### setToken

          void setToken(Token token)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.